#ifndef TDx_Library_FunctionsH
#define TDx_Library_FunctionsH

// ==========================================================================
// File:        TDx_Library_Functions.H
// Description: This file contains standard functions used with the various
//              TDx_Library components.
//
// "TDx_Library"
// (c) 2001, BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

//---------------------------------------------------------------------------
// Func:            TDx_Library_ErrorString()
// Description:     Use this function to return the name of the error.
//---------------------------------------------------------------------------
AnsiString __fastcall TDx_Library_ErrorString( int Error );

//---------------------------------------------------------------------------
// Func:            TDx_Library_ErrorMessage()
// Description:     Use this function to return information about the error.
//---------------------------------------------------------------------------
AnsiString __fastcall TDx_Library_ErrorMessage( int Error );

#endif
