# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = TDx_Sound_Library_Build.exe
OBJFILES = TDx_Sound_Library_Build.obj \
   ..\..\..\Source\TDx_Library_Functions.obj \
   ..\..\..\Source\TDx_Library_Defns.obj \
   ..\..\Source\TDx_Sound_Library_Defns.obj \
   ..\..\Source\TDx_Sound_Library_Functions.obj \
   ..\..\Source\TDS3DBuffer.obj \
   ..\..\Source\TDS3DListener.obj \
   ..\..\Source\TDSBCaps.obj \
   ..\..\Source\TDSBPositionNotify.obj \
   ..\..\Source\TDSBufferDesc.obj \
   ..\..\Source\TDSCBCaps.obj \
   ..\..\Source\TDSCBufferDesc.obj \
   ..\..\Source\TDSCCaps.obj \
   ..\..\Source\TDSCaps.obj \
   ..\..\Source\TDx_Sound.obj \
   ..\..\Source\TDx_Sound3DBuffer.obj \
   ..\..\Source\TDx_Sound3DListener.obj \
   ..\..\Source\TDx_SoundBuffer.obj \
   ..\..\Source\TDx_SoundCapture.obj \
   ..\..\Source\TDx_SoundCaptureBuffer.obj \
   ..\..\Source\TDx_SoundKsPropertySet.obj \
   ..\..\Source\TDx_SoundNotify.obj \
   ..\..\Source\TDx_Sound_Library_Install.obj
RESFILES =
RESDEPEN = $(RESFILES)
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -I..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl \
   -$U -$L- -$D- $Y -JPHNV -M
RFLAGS = -i..\..\Source;..\..\..\Source;$(BCB)\include;$(BCB)\include\vcl
LFLAGS = -L..\..\Source;..\..\..\Source;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
